
import hiro.yoshioka.ast.sql.RowColumn;
import hiro.yoshioka.ast.sql.util.ASTAssist;

public class UAssistTester extends TestAbsAssistTester {

  public void testu00() {

    read("utest00.txt");
    fUtil.setRowColumn(new RowColumn(1, 9));
    ASTAssist assist = fUtil.getASTAssist();
    System.out.println(assist);
    System.out.println("----------------------------------------");
    assertEquals("テーブルアシスト", assist.getType(), ASTAssist.ASSIST_TABLE);
  }
  //
  //	public void test01() {
  //		read("test01.txt");
  //		fUtil.setRowColumn(new RowColumn(14, 2));
  //		ASTAssist assist = fUtil.getASTAssist();
  //		System.out.println(assist);
  //		System.out.println("----------------------------------------");
  //		assertTrue("Order by 句", assist.isColumn());
  //	}
  //	
  	public void test02() {
  		read("utest02.txt");
  		fUtil.setRowColumn(new RowColumn(3,27));
  		ASTAssist assist = fUtil.getASTAssist();
  	    System.out.println(assist);
  	    System.out.println("----------------------------------------utest02");
  	    fUtil.dump();
  	    assertEquals("キーワードアシスト", ASTAssist.ASSIST_KEY_WORD, assist.getType());
  	    String[] keys = assist.getKeyWords();
  	    checkkey(new String[] { "OR", "AND" }, keys);
  	}

}